weka.gui.explorer

## Enum AttributeSelectionPanel.TestMode

- java.lang.Object
- - java.lang.Enum<AttributeSelectionPanel.TestMode>
  - - weka.gui.explorer.AttributeSelectionPanel.TestMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AttributeSelectionPanel.TestMode>
  Enclosing class:
    AttributeSelectionPanel

      public static enum AttributeSelectionPanel.TestMode
      extends java.lang.Enum<AttributeSelectionPanel.TestMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CROSS_VALIDATION`
    `TRAINING_SET`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AttributeSelectionPanel.TestMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AttributeSelectionPanel.TestMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRAINING_SET

          public static final AttributeSelectionPanel.TestMode TRAINING_SET

    - #### CROSS_VALIDATION

          public static final AttributeSelectionPanel.TestMode CROSS_VALIDATION

  - ### Method Detail

    - #### values

          public static AttributeSelectionPanel.TestMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AttributeSelectionPanel.TestMode c : AttributeSelectionPanel.TestMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AttributeSelectionPanel.TestMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null